package Common.Database.Objects.PassStats;
import Common.Database.Objects.DBObject;
import com.sun.org.glassfish.gmbal.Description;
public class PassStats extends DBObject {
    @Description("PRIMARY KEY, UNIQUE")
    public String code = null;
    //меняется только когда юзер кликает на пункте меню или же на кнопке.
    public int Usages = 0;
    public PassStats() {
    }
    public PassStats(String code_in) {
        code = code_in;
    }
    public void Inc() {
        Usages++;
    }
    public void Reset() {
        Usages = 0;
    }
    public boolean HasUsages() {
        return Usages > 0;
    }
    @Override
    public Object getPK() {
        return code;
    }
}
